> ## Documentation Index
> Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Conversation Test Suite Creation Status API

<Badge icon="arrow-left" color="gray">[Back to API List](/ai-for-service/apis/automation/api-list)</Badge>

Retrieves the creation or import request status of a Conversation Test Suite against a unique Import ID. After test execution completes, the API also provides the download link for the results file. See [Create (Import) a Test Suite API](/ai-for-service/apis/automation/create-conversation-test-suite) for more information.

| **Method**        | GET                                                                                                                              |
| ----------------- | -------------------------------------------------------------------------------------------------------------------------------- |
| **Endpoint**      | `https://{{host}}/api/public/stream/:streamId/conversation/testsuite/import/:dsId/status`                                        |
| **Content Type**  | `application/json`                                                                                                               |
| **Authorization** | `auth: {{JWT}}` See [How to generate the JWT Token](/ai-for-service/apis/automation/api-introduction/#generating-the-jwt-token). |
| **API Scope**     | App Builder: Conversation Tests Management; Admin Console: Conversation Tests Management                                         |

## Query Parameters

| **Parameter** | **Description**                                                               | **Required** |
| ------------- | ----------------------------------------------------------------------------- | ------------ |
| `host`        | Environment URL. For example, `https://platform.kore.ai`                      | Required     |
| `StreamID`    | The Stream ID found under **General Settings** on the App Builder.            | Required     |
| `dsId`        | The unique ID to check the conversation test suite creation or import status. | Required     |

## Sample Request

```json theme={null}
curl --location --request GET \
  'https://{{host}}/api/public/stream/:streamId/conversation/testsuite/import/:dsId/status' \
    --header 'auth: {YOUR_JWT_ACCESS_TOKEN}' \
    --header 'bot-language: {language-code}'
```

## Body Parameters

No body parameters are passed.

## Sample Response

**When test suite creation/import is in progress:**

```json theme={null}
{
"_id": "ds-f8xxxxx5-5xxa-5xx4-axx4-48xxxxxxxxx9",
"status": "IN_PROGRESS",
"percentageComplete": 85,
"streamId": "st-45xxxxx7-3xx4-5xxa-9xxa-d8xxxxxxxxx0",
"jobType": "CONVERSATION_TESTING_VALIDATE",
"action": "RUN",
"countOfDockStatuses": 1,
"createdBy": "u-7dxxxxxf-7xxd-5xx7-axx7-37xxxxxxxxx4",
"testSuiteId": "ctc-a1xxxxxc-5xx3-5xx5-axx3-77xxxxxxxxxb",
"expireAt": "2023-08-23T10:18:21.820Z",
"statusLogs": [],
"lMod": "2023-08-23T10:03:36.109Z",
"createdOn": "2023-08-23T10:03:21.825Z",
"requestedTime": "2023-08-23T10:03:21.825Z",
"__v": 0
}
```

**When test suite creation/import is completed:**

```json theme={null}
{
    "_id": "ds-f8xxxxx5-5xxa-5xx4-axx4-48xxxxxxxxx9",
    "status": "SUCCESS",
    "percentageComplete": 100,
    "streamId": "st-45xxxxx7-3xx4-5xxa-9xxa-d8xxxxxxxxx0",
    "jobType": "CONVERSATION_TESTING_VALIDATE",
    "action": "RUN",
    "countOfDockStatuses": 1,
    "createdBy": "u-7dxxxxxf-7xxd-5xx7-axx7-37xxxxxxxxx4",
    "testSuiteId": "ctc-a1xxxxxc-5xx3-5xx5-axx3-77xxxxxxxxxb",
    "expireAt": "2023-08-23T10:18:21.820Z",
    "statusLogs": [],
    "lMod": "2023-08-23T10:04:24.972Z",
    "createdOn": "2023-08-23T10:03:21.825Z",
    "requestedTime": "2023-08-23T10:03:21.825Z",
    "__v": 0,
    "response": {
        "schedule": {
            "enableSchedule": false
        },
        "channel": "rtm",
        "tags": [],
        "recentTags": [],
        "metadataAvailable": true,
        "name": "newtestcaseconvtest1979asdxxxxxxxxx9",
        "description": "",
        "preprocessor": "",
        "serviceMap": [],
        "authProfiles": [],
        "streamId": "st-45xxxxx7-3xx4-5xxa-9xxa-d8xxxxxxxxx0",
        "accountId": "639xxxxxxxxxxxxxxxxxxxx3",
        "lModBy": "u-7dxxxxxf-7xxd-5xx7-axx7-37xxxxxxxxx4",
        "createdBy": "u-7dxxxxxf-7xxd-5xx7-axx7-37xxxxxxxxx4",
        "testSteps": [
            {
                "input": "Start_Flow",
                "outputs": [
                    {
                        "text": "test",
                        "nodeId": "",
                        "componentType": "",
                        "intentId": "",
                        "nodeName": "",
                        "intentType": "",
                        "taskId": "",
                        "dialogName": "",
                        "transitions": [],
                        "transitionNodeNames": [],
                        "transitionNodeType": [],
                        "assertions": {
                            "flowLevel": {
                                "enabled": false,
                                "contains": []
                            },
                            "text": {
                                "enabled": true,
                                "contains": [
                                    {
                                        "text": "test"
                                    }
                                ]
                            },
                            "context": {
                                "enabled": false,
                                "contains": []
                            }
                        }
                    }
                ],
                "event": "Start_Flow"
            }
        ],
        "_id": "ctc-f9xxxxxc-7xx1-5xxe-axx6-80xxxxxxxxxd",
        "createdOn": "2023-08-23T10:03:37.404Z",
        "lModOn": "2023-08-23T10:03:37.404Z",
        "__v": 0
    }
}
```
